package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("关注话题列表")
public class TopicFollowQo {

    @ApiModelProperty(value = "话题ID")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "阅读量")
    private Integer viewCount;

    @ApiModelProperty(value = "讨论量")
    private Integer disscussCount;

    @ApiModelProperty(value = "阅读量-格式化")
    private String formatViewCount;

    @ApiModelProperty(value = "讨论量-格式化")
    private String formatDisscussCount;

    @ApiModelProperty(value = "话题介绍")
    private String topicDesc;

    @ApiModelProperty(value = "封面")
    private String coverImg;

    @ApiModelProperty(value = "是否专属 0否，1是")
    private Integer specialPermission;

    @ApiModelProperty(value = "更新帖子数量")
    private Integer updateCount;

    @ApiModelProperty(value = "发表时间-标准格式化")
    public String formatTime;

}
